<?php

require_once(DIR_FS_CATALOG . 'lang/german/modules/payment/easycredit.php');

class EasycreditCheckoutContentView extends ContentView
{
    /**
     * @var EasyCreditApiClient
     */
    protected $ec;


    public function __construct()
    {
        $this->set_content_template('module/checkout_payment_easycredit.html');
        $this->set_caching_enabled(false);
        $this->set_flat_assigns(true);
    }

    function get_html()
    {

        $easycredit = new easycredit();

        $this->set_content_data("easycredit_data", $_SESSION['easycredit_data']);

        $this->set_content_data("easycredit_text", array(
            'agreement_service_integration' => $easycredit->getApiClient()->getLegislativeText()->getAgreementServiceIntegration(),
            'data_processing_service_integration' => $easycredit->getApiClient()->getLegislativeText()->getDataProcessingServiceIntegration(),
        ));

        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_INSTALLMENT_COUNT", MODULE_PAYMENT_EASYCREDIT_TEXT_INSTALLMENT_COUNT);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_ORDER_AMOUNT", MODULE_PAYMENT_EASYCREDIT_TEXT_ORDER_AMOUNT);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_INTEREST", MODULE_PAYMENT_EASYCREDIT_TEXT_INTEREST);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_AMOUNT", MODULE_PAYMENT_EASYCREDIT_TEXT_AMOUNT);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_AGREEMENT_NEWSLETTER", MODULE_PAYMENT_EASYCREDIT_TEXT_AGREEMENT_NEWSLETTER);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_INSTALLMENT_AMOUNT", MODULE_PAYMENT_EASYCREDIT_TEXT_INSTALLMENT_AMOUNT);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_LAST_INSTALLMENT_AMOUNT", MODULE_PAYMENT_EASYCREDIT_TEXT_LAST_INSTALLMENT_AMOUNT);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_NOMINALZINS", MODULE_PAYMENT_EASYCREDIT_TEXT_NOMINALZINS);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_EFFECTIVE_INTEREST", MODULE_PAYMENT_EASYCREDIT_TEXT_EFFECTIVE_INTEREST);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_REPRESENTATIVE_EXAMPLE", MODULE_PAYMENT_EASYCREDIT_TEXT_REPRESENTATIVE_EXAMPLE);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_DATA", MODULE_PAYMENT_EASYCREDIT_TEXT_DATA);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_EMPLOYMENT_STATUS", MODULE_PAYMENT_EASYCREDIT_TEXT_EMPLOYMENT_STATUS);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_MONTHLY_INCOME", MODULE_PAYMENT_EASYCREDIT_TEXT_MONTHLY_INCOME);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_BANKACCOUNT", MODULE_PAYMENT_EASYCREDIT_TEXT_BANKACCOUNT);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_BANKCODE", MODULE_PAYMENT_EASYCREDIT_TEXT_BANKCODE);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_BANKNAME", MODULE_PAYMENT_EASYCREDIT_TEXT_BANKNAME);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_AGREEMENT", MODULE_PAYMENT_EASYCREDIT_TEXT_AGREEMENT);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_BIRTHDATE", MODULE_PAYMENT_EASYCREDIT_TEXT_BIRTHDATE);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_MOBILE_PHONE", MODULE_PAYMENT_EASYCREDIT_TEXT_MOBILE_PHONE);
        $this->set_content_data("MODULE_PAYMENT_EASYCREDIT_TEXT_MOBILE_PHONE_VERIFY", MODULE_PAYMENT_EASYCREDIT_TEXT_MOBILE_PHONE_VERIFY);

        $this->set_content_data("showMobilePhoneVerification", isset($_SESSION['easycredit_api_messages']['error']['MobilfunknummerValidierenActivity.Errors.KEINE_MOBILFUNKNUMMER']));

        $t_html_output = $this->build_html();

        return $t_html_output;
    }
}
